@charset "UTF-8";

/*PCサイズレスポンシブ*/
@media (min-width: 1000px) {
  body {
    min-width: 1000px;
  }

  .container {
    max-width: 1200px;
    margin: 0 auto;
  }

  .header {
    width: 100%;
    height: auto;
  }

  .header1 img {
    width: 10%;
    object-fit: cover;
  }

  /*========= ナビゲーションのためのCSS ===============*/

  #g-nav {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
    top: -120%;
    left: 0;
    width: 100%;
    height: 100vh;
    /*ナビの高さ*/
    background: rgba(242, 180, 243, 0.866);
    /*動き*/
    transition: all 0.6s;
  }

  /*アクティブクラスがついたら位置を0に*/
  #g-nav.panelactive {
    top: 0;
  }

  /*ナビゲーションの縦スクロール*/
  #g-nav.panelactive #g-nav-list {
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999;
    width: 100%;
    height: 100vh;
    /*表示する高さ*/
    overflow: auto;
    -webkit-overflow-scrolling: touch;
  }

  /*ナビゲーション*/
  #g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  /*リストのレイアウト設定*/

  #g-nav li {
    list-style: none;
    text-align: center;
  }

  #g-nav li a {
    color: #615f5f;
    text-decoration: none;
    padding: 10px;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    font-weight: bold;
  }

  /*========= ボタンのためのCSS ===============*/
  .openbtn {
    position: fixed;
    z-index: 9999;
    /*ボタンを最前面に*/
    top: 30px;
    right: 20px;
    cursor: pointer;
    width: 70px;
    height: 70px;
  }

  /*×に変化*/
  .openbtn span {
    display: inline-block;
    transition: all 0.4s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
    background-color: #fd91e0;
    width: 45%;
  }

  .openbtn span:nth-of-type(1) {
    top: 15px;
  }

  .openbtn span:nth-of-type(2) {
    top: 27px;
  }

  .openbtn span:nth-of-type(3) {
    top: 40px;
  }

  .openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
  }

  .openbtn.active span:nth-of-type(2) {
    opacity: 0;
  }

  .openbtn.active span:nth-of-type(3) {
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
  }

  #main {
    max-width: 1100px;
    width: 90%;
    margin: 30px auto 0;
  }

  .title {
    text-align: center;
  }

  .title img {
    width: 100%;
    max-width: 1000px;
    height: auto;
    display: block;
    margin: 0 auto;
  }

  .visually-hidden {
    position: absolute;
    left: -9999px;
  }

  .pc-ranking {
    display: flex;
    gap: 40px;
    align-items: flex-start;
    margin-top: 80px;
  }

  .tab {
    display: none;
  }

  #ranking {
    width: 70%;
  }

  .ranking-title {
    font-size: 32px;
    font-weight: bold;
    line-height: 1.4;
    color: rgb(197, 145, 245);
    position: relative;
    display: block;
    padding-bottom: 15px;
    margin-bottom: 25px;
  }

  .ranking-title span {
    position: relative;
    display: block;
    width: fit-content;
    margin: 10px auto 0;
    font-size: 22px;
    color: #888;
    margin-top: 8px;
    padding-bottom: 12px;
  }

  .ranking-title span::after {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;

    width: 180px;
    height: 3px;
    border-radius: 999px;
    background: linear-gradient(
      to right,
      transparent,
      #d4af37,
      #f9d76e,
      #d4af37,
      transparent
    );
  }

  /* ---------- ランキング ---------- */

  .ranking-list {
    width: 100%;
  }

  /* PC用table */
  table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 30px;
    background: #fff;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08);
  }

  th,
  td {
    padding: 18px;
    text-align: center;
  }

  th {
    background: #f9d9f3;
    color: #5d5c5c;
    font-size: 22px;
    font-weight: bold;
    border-bottom: 1px solid #ddd;
  }

  td {
    font-size: 20px;
    border-bottom: 1px solid #eee;
  }

  th:first-child,
  td:first-child {
    width: 20%;
  }

  th:nth-child(2),
  td:nth-child(2) {
    width: 45%;
  }

  th:nth-child(3),
  td:nth-child(3) {
    width: 35%;
  }

  tr:last-child td {
    border-bottom: none;
  }

  /* 1～3位画像 */
  .rank-img {
    width: 70px;
    height: auto;
  }

  /* 2位3位画像も */
  .rank2 img,
  .rank3 img {
    width: 60px;
    height: auto;
  }

  /* 4～10位 */
  .normal-rank td {
    font-size: 18px;
    padding: 14px;
  }

  /* 背景色 */
  .rank1 {
    background: #fff8d8;
  }

  .rank2 {
    background: #f6f6f6;
  }

  .rank3 {
    background: #fbe9dc;
  }

  #detail {
    width: 30%;
  }

  #detail img {
    width: 100%;
    height: auto;
    margin-top: 130px;
  }

  .battle {
    width: 100%;
    margin-top: 80px;
  }

  .battle > img {
    display: block;
    width: 500px;
    margin: 0 auto 60px;
  }

  .battle-card1 {
    width: 60%;
    display: flex;
    align-items: center; /* 縦中央 */
    justify-content: flex-start;
    gap: 80px; /* 写真と文字の間 */
    margin: 30px auto 20px 8%;
    padding: 18px 25px;
    background: rgba(255, 255, 255, 0.85);
    border: 2px solid #e9c86b; /* ゴールド */
    border-radius: 20px; /* 角丸 */
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08); /* 影 */
    justify-content: center;
  }

  .vs img {
    display: block;
    margin: 25px auto;
    width: 110px;
    height: 110px;
  }

  .battle-card2 {
    width: 60%;
    margin: 20px 8% 20px auto;
    display: flex;
    justify-content: flex-end;
    align-items: center; /* 縦中央 */
    gap: 50px; /* 写真と文字の間 */
    padding: 18px 25px; /* ←内側の余白 */
    background: rgba(255, 255, 255, 0.85);
    border: 2px solid #e9c86b; /* ゴールド */
    border-radius: 20px; /* 角丸 */
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08); /* 影 */
    justify-content: center;
  }

  .battle-player img {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    object-fit: cover;
  }

  .name1 {
    font-size: 42px;
    color: #d86bc3;
  }

  .coin-title1 {
    font-size: 15px;
    color: #666;
  }

  .coin-count1 {
    font-size: 35px;
    font-weight: bold;
    color: #d86bc3;
  }

  .coin-count1 span {
    font-size: 0.65em;
    font-weight: normal;
    opacity: 0.8;
  }

  .name2 {
    font-size: 48px;
    color: #cc7cf8;
  }

  .coin-title2 {
    font-size: 15px;
    color: #666;
  }

  .coin-count2 {
    font-size: 35px;
    font-weight: bold;
    color: #cc7cf8;
  }

  .coin-count2 span {
    font-size: 0.65em;
    font-weight: normal;
    opacity: 0.8;
  }

  .schedule {
    margin-top: 50px;
    padding: 40px 0;
    background-color: #fff7fc;
  }

  .schedule-title {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;

    font-size: 20px;
    color: #fc5fa8;
    margin-bottom: 20px;
  }

  .schedule-icon {
    width: 28px;
    height: auto;
  }

  .schedule-sp,
  .schedule-sp-last {
    display: none;
  }

  .schedule-pc-row {
    display: flex;
    justify-content: center;
    gap: 20px;
  }

  .schedule-pc-row img {
    width: 170px;
    height: auto;
  }

  .schedule-note {
    margin-top: 25px;
    text-align: center;
    font-size: 13px;
    color: #888;
    line-height: 1.7;
  }

  .footer {
    width: 100%;
    height: 250px;
    background-color: #f5dcf3;
    margin-top: 100px;
    padding-bottom: 50px;
  }

  .footer1 {
    width: 100%;
    height: 100%;
    padding-top: 30px;
    padding-left: 60px;
    line-height: 200%;
  }

  .footer2 {
    width: 100%;
    height: auto;
    text-align: center;
    background-color: #f5dcf3;
  }
}

/*ipadサイズレスポンシブ*/
@media (min-width: 600px) and (max-width: 999px) {
  body {
    min-width: 600px;
    max-width: 999px;
  }

  .container {
    width: 100%;
    color: #5d5c5c;
  }

  .header {
    width: 100%;
    height: auto;
  }

  .header img {
    width: 10%;
    object-fit: cover;
  }

  /*========= ナビゲーションのためのCSS ===============*/

  #g-nav {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
    top: -120%;
    left: 0;
    width: 100%;
    height: 100vh;
    /*ナビの高さ*/
    background: rgba(242, 180, 243, 0.866);
    /*動き*/
    transition: all 0.6s;
  }

  /*アクティブクラスがついたら位置を0に*/
  #g-nav.panelactive {
    top: 0;
  }

  /*ナビゲーションの縦スクロール*/
  #g-nav.panelactive #g-nav-list {
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999;
    width: 100%;
    height: 100vh;
    /*表示する高さ*/
    overflow: auto;
    -webkit-overflow-scrolling: touch;
  }

  /*ナビゲーション*/
  #g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  /*リストのレイアウト設定*/

  #g-nav li {
    list-style: none;
    text-align: center;
  }

  #g-nav li a {
    color: #5d5c5c;
    text-decoration: none;
    padding: 10px;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    font-weight: bold;
  }

  /*========= ボタンのためのCSS ===============*/
  .openbtn {
    position: fixed;
    z-index: 9999;
    /*ボタンを最前面に*/
    top: 20px;
    right: 20px;
    cursor: pointer;
    width: 70px;
    height: 70px;
  }

  /*×に変化*/
  .openbtn span {
    display: inline-block;
    transition: all 0.4s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
    background-color: #fd91e0;
    width: 45%;
  }

  .openbtn span:nth-of-type(1) {
    top: 15px;
  }

  .openbtn span:nth-of-type(2) {
    top: 27px;
  }

  .openbtn span:nth-of-type(3) {
    top: 40px;
  }

  .openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
  }

  .openbtn.active span:nth-of-type(2) {
    opacity: 0;
  }

  .openbtn.active span:nth-of-type(3) {
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
  }

  #main {
    width: 90%;
    margin: 40px auto 0;
  }

  .visually-hidden {
    position: absolute;
    left: -9999px;
  }

  .title {
    text-align: center;
  }

  .title img {
    width: 95%;
    height: auto;
    display: block;
    margin: 0 auto;
  }

  #ranking,
  #detail {
    width: 100%;
  }

  .pc-ranking {
    display: block;
  }

  .tab {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    margin-top: 30px; /* 上は残す */
    margin-bottom: 0; /* 下だけ消す */
  }

  .tab li a {
    display: block;
    color: #fff;
    margin: 0;
    padding: 10px 20px;
    text-decoration: none;
  }

  /* Ranking（1つ目） */
  .tab li:nth-child(1) a {
    background: #f6d6f3;
  }

  /* イベント内容（2つ目） */
  .tab li:nth-child(2) a {
    background: #c5e4f5;
  }

  .tab li.active a {
    border: 3px solid #fff;
    transform: translateY(-2px);
  }

  .area {
    display: none;
    opacity: 0;
    background: #f7e3f5;
    padding: 20px 10px;
  }

  .ranking-title {
    font-size: 28px;
    line-height: 1.5;
    color: rgb(197, 145, 245);
    text-align: center;
  }

  .ranking-title span {
    position: relative;
    display: block;
    width: fit-content;
    margin: 10px auto 0;
    font-size: 18px;
    color: #888;
    padding-bottom: 10px;
  }

  .ranking-title span::after {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
    width: 150px;
    height: 3px;
    border-radius: 999px;
    background: linear-gradient(
      to right,
      transparent,
      #d4af37,
      #f9d76e,
      #d4af37,
      transparent
    );
  }

  /*areaにis-activeというクラスがついた時の形状*/
  .area.is-active {
    display: block; /*表示*/
    animation-name: displayAnime; /*ふわっと表示させるためのアニメーション*/
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
  }

  @keyframes displayAnime {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }

  .ranking-list {
    margin: 0;
    padding-top: 20px;
    padding-bottom: 20px;
    display: flex;
    flex-direction: column;
    gap: 12px;
    list-style: none;
    background-color: #fff;
  }

  table {
    width: 90%;
    margin: 0 auto;
    border-collapse: collapse;
  }

  th {
    background: #f6d6f3;
    color: #fff;
  }

  th:nth-child(1),
  td:nth-child(1) {
    width: 20%;
  }

  th:nth-child(2),
  td:nth-child(2) {
    width: 40%;
  }

  th:nth-child(3),
  td:nth-child(3) {
    width: 40%;
  }

  th,
  td {
    border: 1px solid #ddd;
    padding: 10px;
    text-align: center;
    vertical-align: middle;
    font-size: 14px;
  }

  .rank1 td {
    background: #fff8d6;
  }

  .rank2 td {
    background: #f2f2f2;
  }

  .rank3 td {
    background: #f9e1d3;
  }

  .rank-img,
  .rank2 img,
  .rank3 img {
    width: 35px;
    height: auto;
    display: block;
    margin: 0 auto;
  }

  .normal-rank td {
    padding: 6px 10px;
  }

  #detail {
    background: #d3ecf9;
    text-align: center;
  }

  #detail img {
    display: block;
    width: 60%;
    height: auto;
    margin: 0 auto;
  }

  .battle {
    width: 100%;
    margin-top: 30px;
  }

  .battle > img {
    display: block;
    width: 400px;
    margin: 0 auto 60px;
  }

  .battle-card1 {
    width: 70%;
    display: flex;
    align-items: center; /* 縦中央 */
    gap: 20px; /* 写真と文字の間 */
    margin-top: 30px;
    margin-bottom: 20px;
    padding: 14px 18px; /* ←内側の余白 */
    background: rgba(255, 255, 255, 0.85);
    border: 2px solid #e9c86b; /* ゴールド */
    border-radius: 20px; /* 角丸 */
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08); /* 影 */
    justify-content: center;
  }

  .vs img {
    margin: 0 auto;
    width: 80px;
    height: 80px;
  }

  .battle-card2 {
    width: 70%;
    margin: 10px 0 20px auto;
    display: flex;
    justify-content: flex-end;
    align-items: center; /* 縦中央 */
    gap: 20px; /* 写真と文字の間 */
    padding: 14px 18px; /* ←内側の余白 */
    background: rgba(255, 255, 255, 0.85);
    border: 2px solid #e9c86b; /* ゴールド */
    border-radius: 20px; /* 角丸 */
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08); /* 影 */
    justify-content: center;
  }

  .battle-player img {
    width: 130px;
    height: 130px;
    object-fit: cover;
  }

  .player-info1 {
    margin-left: 20px;
  }

  .name1 {
    font-size: 32px;
    color: #d86bc3;
  }

  .coin-title1 {
    font-size: 12px;
    color: #666;
  }

  .coin-count1 {
    font-size: 26px;
    white-space: nowrap;
    font-weight: bold;
    color: #d86bc3;
  }

  .coin-count1 span {
    font-size: 0.6em;
  }

  .player-info2 {
    margin-left: 20px;
  }

  .name2 {
    font-size: 32px;
    color: #cc7cf8;
  }

  .coin-title2 {
    font-size: 12px;
    color: #666;
  }

  .coin-count2 {
    font-size: 26px;
    white-space: nowrap;
    font-weight: bold;
    color: #cc7cf8;
  }

  .coin-count2 span {
    font-size: 0.6em;
  }

  .schedule {
    margin-top: 50px;
    padding: 30px 0;
    background-color: #fff7fc;
  }

  .schedule-title {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;

    font-size: 30px;
    color: #fc5fa8;
    margin-bottom: 25px;
  }

  .schedule-icon {
    width: 35px;
    height: auto;
  }

  .schedule-pc-row {
    display: none;
  }

  .schedule-sp {
    width: 85%;
    display: flex;
    justify-content: center;
    margin: 30px auto;
    gap: 30px;
  }

  .schedule-sp img {
    width: 25%;
    height: auto;
  }

  .schedule-sp-last {
    width: 85%;
    display: flex;
    justify-content: center;
    margin: 25px auto 0;
  }

  .schedule-sp-last img {
    width: 25%;
    height: auto;
    transform: none;
    transform: translateX(6px);
  }

  .schedule-note {
    margin-top: 25px;
    text-align: center;
    font-size: 13px;
    color: #888;
    line-height: 1.7;
  }

  .footer {
    width: 100%;
    height: 180px;
    background-color: #f5dcf3;
    margin-top: 100px;
    padding-bottom: 30px;
  }

  .footer1 {
    width: 100%;
    height: 100%;
    font-size: 12px;
    padding-top: 30px;
    padding-left: 40px;
    line-height: 200%;
  }

  .footer2 {
    width: 100%;
    height: auto;
    font-size: 10px;
    text-align: center;
    background-color: #f5dcf3;
  }
}

/*SPサイズレスポンシブ*/
@media (max-width: 599px) {
  body {
    max-width: 599px;
  }

  .container {
    width: 100%;
    height: auto;
    color: #5d5c5c;
  }

  .header {
    width: 100%;
    height: auto;
  }

  .header img {
    width: 15%;
    object-fit: cover;
  }

  /*========= ナビゲーションのためのCSS ===============*/

  #g-nav {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
    top: -120%;
    left: 0;
    width: 100%;
    height: 100vh;
    /*ナビの高さ*/
    background: rgba(242, 180, 243, 0.866);
    /*動き*/
    transition: all 0.6s;
  }

  /*アクティブクラスがついたら位置を0に*/
  #g-nav.panelactive {
    top: 0;
  }

  /*ナビゲーションの縦スクロール*/
  #g-nav.panelactive #g-nav-list {
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999;
    width: 100%;
    height: 100vh;
    /*表示する高さ*/
    overflow: auto;
    -webkit-overflow-scrolling: touch;
  }

  /*ナビゲーション*/
  #g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  /*リストのレイアウト設定*/

  #g-nav li {
    list-style: none;
    text-align: center;
  }

  #g-nav li a {
    color: #5d5c5c;
    font-size: 10px;
    text-decoration: none;
    padding: 5px;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    font-weight: bold;
  }

  /*========= ボタンのためのCSS ===============*/
  .openbtn {
    position: fixed;
    z-index: 9999;
    /*ボタンを最前面に*/
    top: 3px;
    right: 8px;
    cursor: pointer;
    width: 50px;
    height: 50px;
  }

  /*×に変化*/
  .openbtn span {
    display: inline-block;
    transition: all 0.5s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
    background-color: #fd91e0;
    width: 45%;
  }

  .openbtn span:nth-of-type(1) {
    top: 15px;
  }

  .openbtn span:nth-of-type(2) {
    top: 23px;
  }

  .openbtn span:nth-of-type(3) {
    top: 32px;
  }

  .openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
  }

  .openbtn.active span:nth-of-type(2) {
    opacity: 0;
  }

  .openbtn.active span:nth-of-type(3) {
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
  }

  #main {
    width: 100%;
    height: auto;
  }

  .visually-hidden {
    position: absolute;
    left: -9999px;
  }

  .title {
    width: 100%;
    height: auto;
  }

  .tab {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    margin-top: 30px; /* 上は残す */
    margin-bottom: 0; /* 下だけ消す */
  }

  .tab li a {
    display: block;
    color: #fff;
    margin: 0;
    padding: 10px 20px;
    text-decoration: none;
  }

  /* Ranking（1つ目） */
  .tab li:nth-child(1) a {
    background: #f6d6f3;
  }

  /* イベント内容（2つ目） */
  .tab li:nth-child(2) a {
    background: #c5e4f5;
  }

  .tab li.active a {
    border: 3px solid #fff;
    transform: translateY(-2px);
  }

  .area {
    display: none;
    opacity: 0;
    background: #f7e3f5;
    padding: 20px 10px;
  }

  .area h2 {
    font-size: 15px;
    color: rgb(197, 145, 245);
    text-align: center;
  }

  /*areaにis-activeというクラスがついた時の形状*/
  .area.is-active {
    display: block; /*表示*/
    animation-name: displayAnime; /*ふわっと表示させるためのアニメーション*/
    animation-duration: 2s;
    animation-fill-mode: forwards;
  }

  @keyframes displayAnime {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }

  .ranking-title {
    font-size: 18px;
    line-height: 1.5;
    color: rgb(197, 145, 245);
    background: #f9e3f7;
    padding: 15px 10px;
    border-radius: 12px;
    text-align: center;
    margin-bottom: 20px;
  }

  .ranking-title span {
    position: relative;
    display: block;
    width: fit-content;
    margin: 8px auto 0;
    font-size: 16px;
    color: #888;
    padding-bottom: 8px;
  }

  .ranking-title span::after {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
    width: 120px;
    height: 2px;
    border-radius: 999px;
    background: linear-gradient(
      to right,
      transparent,
      #d4af37,
      #f9d76e,
      #d4af37,
      transparent
    );
  }

  .ranking-list {
    margin: 0;
    padding-top: 20px;
    padding-bottom: 20px;
    display: flex;
    flex-direction: column;
    gap: 12px;
    list-style: none;
    background-color: #fff;
  }

  table {
    width: 90%;
    margin: 0 auto;
    border-collapse: collapse;
  }

  th {
    background: #f6d6f3;
    color: #fff;
  }

  th:nth-child(1),
  td:nth-child(1) {
    width: 18%;
  }

  th:nth-child(2),
  td:nth-child(2) {
    width: 52%;
  }

  td:nth-child(2) {
    font-size: 12px;
  }

  th:nth-child(3),
  td:nth-child(3) {
    width: 30%;
  }

  th {
    border: 1px solid #ddd;
    padding: 10px;
    text-align: center;
    vertical-align: middle;
    font-size: 14px;
  }

  td {
    border: 1px solid #ddd;
    padding: 10px;
    text-align: center;
    vertical-align: middle;
    font-size: 13px;
  }

  .rank1 td {
    background: #fff8d6;
  }

  .rank2 td {
    background: #f2f2f2;
  }

  .rank3 td {
    background: #f9e1d3;
  }

  .rank-img,
  .rank2 img,
  .rank3 img {
    width: 35px;
    height: auto;
  }

  .normal-rank td {
    padding: 6px 10px;
  }

  #detail {
    background: #d3ecf9;
    text-align: center;
  }

  #detail img {
    display: block;
    width: 70%;
    height: auto;
    margin: 0 auto;
  }

  .battle {
    width: 100%;
    margin-top: 30px;
  }

  .battle > img {
    display: block;
    width: 80%;
    max-width: 450px;
    height: auto;
    margin: 0 auto;
  }

  .battle-card1 {
    width: 85%;
    display: flex;
    align-items: center; /* 縦中央 */
    gap: 15px; /* 写真と文字の間 */
    margin-top: 30px;
    margin-bottom: 20px;
    padding: 8px 15px; /* ←内側の余白 */
    background: rgba(255, 255, 255, 0.85);
    border: 2px solid #e9c86b; /* ゴールド */
    border-radius: 20px; /* 角丸 */
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08); /* 影 */
  }

  .vs img {
    margin: 0 auto;
    width: 80px;
    height: 80px;
  }

  .battle-card2 {
    width: 85%;
    margin: 10px 0 20px auto;
    display: flex;
    justify-content: flex-end;
    align-items: center; /* 縦中央 */
    gap: 8px; /* 写真と文字の間 */
    padding: 8px 15px; /* ←内側の余白 */
    background: rgba(255, 255, 255, 0.85);
    border: 2px solid #e9c86b; /* ゴールド */
    border-radius: 20px; /* 角丸 */
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.08); /* 影 */
  }

  .battle-player img {
    width: 120px;
    height: 120px;
    object-fit: contain;
    object-position: center top;
  }

  .name1 {
    font-size: 28px;
    color: #d86bc3;
  }

  .coin-title1 {
    font-size: 12px;
    color: #666;
  }

  .coin-count1 {
    font-size: 25px;
    font-weight: bold;
    color: #d86bc3;
    white-space: nowrap;
    line-height: 1.2;
  }

  .coin-count1 span,
  .coin-count2 span {
    font-size: 16px;
    font-weight: normal;
  }

  .name2 {
    font-size: 30px;
    color: #cc7cf8;
  }

  .coin-title2 {
    font-size: 12px;
    color: #666;
  }

  .coin-count2 {
    font-size: 24px;
    font-weight: bold;
    color: #cc7cf8;
    white-space: nowrap;
    line-height: 1.2;
  }

  .schedule {
    margin-top: 50px;
    padding: 20px 0;
    background-color: #fff7fc;
  }

  .schedule-title {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;

    font-size: 20px;
    color: #fc5fa8;
    margin-bottom: 20px;
  }

  .schedule-icon {
    width: 28px;
    height: auto;
  }

  .schedule-pc-row {
    display: none;
  }

  .schedule-sp {
    width: 72%;
    display: flex;
    justify-content: center;
    gap: 15px;
    margin: 20px auto;
  }

  .schedule-sp img {
    width: calc((100% - 8px) / 2);
    height: auto;
    display: block;
  }

  .schedule-sp-last {
    width: 72%;
    margin: 20px auto;
    display: flex;
    justify-content: center;
  }

  .schedule-sp-last img {
    width: calc((100% - 8px) / 2);
    height: auto;
    display: block;
    transform: none;
  }

  .schedule-note {
    margin-top: 25px;
    text-align: center;
    font-size: 10px;
    color: #888;
    line-height: 1.7;
  }

  .footer {
    width: 100%;
    height: 130px;
    background-color: #f5dcf3;
    margin-top: 30px;
    padding-bottom: 30px;
  }

  .footer1 {
    width: 100%;
    height: 100%;
    font-size: 8px;
    padding-top: 20px;
    padding-left: 20px;
    line-height: 180%;
  }

  .footer2 {
    width: 100%;
    height: auto;
    font-size: 5px;
    text-align: center;
    background-color: #f5dcf3;
  }
}
